import 'package:flutter/foundation.dart';
import 'package:krow/features/check_list/domain/bloc/check_list_state.dart';

@immutable
sealed class CheckListEvent {
  const CheckListEvent();
}

class CheckListEventFetch extends CheckListEvent {
  const CheckListEventFetch();
}

class CheckForListUpdateEvent extends CheckListEvent {
  final CheckListItemState editedItem;

  const CheckForListUpdateEvent({required this.editedItem});
}

class CheckListEventSubmit extends CheckListEvent {
  const CheckListEventSubmit();
}

class CheckListEventAgree extends CheckListEvent {
  const CheckListEventAgree();
}
